/*Create by Murilo Rosa  23/04/2018*/
var mapper = mapperFactory.createMapperMult(["EstProdCplMediap"]);
var result = 1;
try {
	for (var i = 0; i < message.get('listLiberacao').size(); i++) {
	    let item = message.get('listLiberacao').get(i);
		item.put('dtProc', message.get("dtProc"));
		item.put('cdUsu', message.get("cdUsu"));
		if (item.get('liberar') == true){
			let pendentes = mapper.update('EstProdCplMediap.excluirEstProdCplDemandaProcCplLibPendente', item);
		    let liberar = mapper.insert('EstProdCplMediap.incluirEstProdCplDemandaProcCplLib', item) ; 
		} else if (item.get('bloquear') == true) {
			let pendentes = mapper.update('EstProdCplMediap.excluirEstProdCplDemandaProcCplLibPendente', item);
		    let bloquear = mapper.insert('EstProdCplMediap.incluirEstProdCplDemandaProcCplBloqueio', item);
		}
	
	}
	mapper.commit();
	result;
} catch (err) {
    mapper.rollback();
	if (err.code)
		throw JSON.stringify(err);
	else
		throw err;
}